## octave 3.8.2

=== debian/changelog ===
octave (3.8.2-4) unstable; urgency=medium

  * mkoctfile-infinite-loop.patch: fix infinite loop of mkoctfile -M on
    platforms where char is unsigned. (Closes: #770192)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 01 Dec 2014 21:25:52 +0100

octave (3.8.2-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/rules: Do not compress info files, avoiding the freeze of Octave GUI
    (Closes: #762078)

  [ Sébastien Villemot ]
  * Drop dependency on default-jre-headless on mips.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * liboctave-dev: no longer ship Makefiles under examples directory.
    (Closes: #759427)
  * Add lintian-overrides for uncompressed info files.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 Oct 2014 21:03:40 +0200

octave (3.8.2-2) unstable; urgency=medium

  * Disable java on mips. (Closes: #759663)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Aug 2014 22:39:52 +0200

octave (3.8.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.8.2
    - statistics() function adapted to new signature of kurtosis() and
      skewness() functions. (Closes: #755882)
    - no longer pass -mieee flag to moc-qt4, should fix FTBFS on alpha.
      (Closes: #746924)
  * debian/copyright: reflect upstream changes.
  * Remove Thomas Weber from Uploaders. Thanks Thomas for your work!
  * Recommend OpenBLAS over ATLAS as the optimized BLAS library.
    OpenBLAS is a better default because its generic binary is able to
    dynamically select the kernel specialized for the current CPU, while ATLAS
    needs to be recompiled. However, OpenBLAS is not present on some
    architectures, so ATLAS will remain the default on those.
  * Allow virtual packages liblapack.so and libblas.so to satisfy dependencies
    of liboctave-dev. (Closes: #757237)

  [ Gilles Filippini ]
  * Support hdf5 1.8.13 new packaging layout. (Closes: #756689)
    New patches:
    - hdf5-flags.patch to fix a couple of makefiles regarding
      new paths;
    - hdf5-mkoctfile.patch to fix hdf5 path when building octave
      modules.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 14 Aug 2014 12:19:21 +0200

octave (3.8.1-3) unstable; urgency=medium

  [ Thomas Weber ]
  * Correct typo in bugnumber in NEWS file (closes: #746534)

  [ Sébastien Villemot ]
  * Deactivate java support on armhf. Fixes FTBFS there.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 10 May 2014 10:40:26 +0200

octave (3.8.1-2) unstable; urgency=medium

  [ Mike Miller ]
  * Disable JIT on all archs to fix LLVM library conflicts.
    (Closes: #743260, #739903)

  [ Sébastien Villemot ]
  * Mention the disabling of JIT in NEWS.Debian.
  * Add a Breaks for octave-fixed. The package has been removed from
    unstable, but people upgrading from Wheezy may still have it.
    (Closes: #744244)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Apr 2014 10:48:05 +0200
