## octave 4.0.0

=== debian/changelog ===
octave (4.0.0-3ubuntu9) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:51:14 +0000

octave (4.0.0-3ubuntu8) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 13:53:45 +0200

octave (4.0.0-3ubuntu7) xenial; urgency=medium

  * No-change rebuild against new graphicsmagick

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 14:19:48 +0000

octave (4.0.0-3ubuntu6) xenial; urgency=medium

  * No-change rebuild against libgraphicsmagick-q16-3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Nov 2015 13:27:38 +0000

octave (4.0.0-3ubuntu5) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:24:06 +0000

octave (4.0.0-3ubuntu4) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 18:57:18 +0000

octave (4.0.0-3ubuntu3) wily; urgency=medium

  * No-change rebuild against libgraphicsmagick++11

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Aug 2015 22:05:08 +0000

octave (4.0.0-3ubuntu2) wily; urgency=medium

  * Adjust hard-coded Breaks on octave modules to match Ubuntu, rather than
    Debian, rebuild versions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Aug 2015 09:55:47 +0000

octave (4.0.0-3ubuntu1) wily; urgency=medium

  * Cherry-pick patch from upstream to disable the GUI on GLES platforms, where
    it fails to build.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 11 Aug 2015 11:58:25 +0000

octave (4.0.0-3) unstable; urgency=low

  * Restore the long list of Breaks with a single Breaks against liboctave2.
    Otherwise there are various upgrade failures.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 Jul 2015 22:17:39 +0200

octave (4.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix FTBFS with texinfo 6.
    - Add texlive-fonts-recommended to build-depends (needed for texinfo 6)
    - Add debian/patches/dont-use-included-texinfo-texmfcnf.patch and
      xbackslash-texinfo.patch (Patches thanks to Norbert Preining and
      Mike Miller) (Closes: #790533)
  * Replace the long list of Breaks with a single Breaks against liboctave2.
    This should work now that #671711 is fixed in Jessie and later.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 14:20:22 +0200

octave (4.0.0-1) experimental; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 4.0.0
  * d/watch: support the xz extension for upstream tarball.

  [ Rafael Laboissiere ]
  * Build-Depends on libsndfile1-dev and portaudio19-dev.
    This makes the audioinfo, audioread and audiowrite functions for
    reading and writing audio files, as well as the audioplayer,
    audiorecorder classes and audiodevinfo function for audio playback and
    recording fully functional.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Jun 2015 14:17:23 +0200

octave (4.0.0~rc4-1) experimental; urgency=low

  * Imported Upstream version 4.0.0~rc4
  * d/p/bump-soname.patch: drop patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 Apr 2015 21:38:17 +0200

octave (4.0.0~rc3-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.0.0~rc3
    In this new upstream version, the config.log file generated at build
    time is no longer included in octave-common (Closes: #759426).
  * d/p/drop_versioned_binaries.diff: Refresh for new upstream version
  * d/p/install_libraries_publically: Refresh for new upstream version
  * d/p/always-build-octave-jar.patch: Refresh for new upstream version
  * d/p/hdf5-flags.patch: Refresh for new upstream version
  * d/p/mkoctfile-infinite-loop.patch: Drop patch (applied upstream)
  * d/liboctave-dev.examples: Adjust for new upstream layout
  * Build-Depends on Qt4 libraries (needed for new GUI)
  * Build-Depends on zip and unzip (needed for unit testing in zip.m)
  * Add myself to Uploaders
  * Build-Depends on MesaOS (needed for OpenGL offscreen rendering)
    It is now possible to use the print command on figures with
    visible=off (Closes: #740449).
  * Bump Breaks relationships for packages shipping .oct files
  * d/rules: compress info files, complying with the Policy.
    The upstream problem of GUI freeze when accessing the compressed info
    files has been fixed upstream. (Closes: #764809)

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes.
  * d/p/hurd_path_max.diff: drop patch (applied upstream).
  * d/p/dblquad-s390x.diff: drop patch (no longer needed).
  * Add entry in d/NEWS (GUI now by default, pkg autoload disabled).
  * Bump SONAME of liboctave (2->3).
    - d/p/bump-soname.patch: patch to anticipate the bump by upstream.
    - d/control, d/liboctave?.install: rename the package
  * Remove obsolete Conflicts/Replaces against octave3.2* packages.
  * Reactivate java support on armhf. It had been incorrectly disabled:
    the testsuite crash was actually caused by #767138, not by java.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 24 Apr 2015 16:08:00 +0200
