=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,12 @@
 # a compilation failure (hurd-i386) or a test failure (other archs).
 # On mips and mipsel java unit tests calling openjdk-7 cause a bus error at
 # runtime.
-# On armhf, unit tests calling openjdk-7 cause a segmentation fault.
 # This arch list must be kept in sync with the arch list qualifying
 # default-jre in debian/control (note: we always want default-jdk in
 # build deps because it is needed for octave-common, see
 # debian/patches/always-build-octave-jar.patch).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := armhf hurd-i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel sparc
+NO_JDK_ARCHS := hurd-i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel sparc
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -60,7 +59,7 @@
 # override normal dh_compress call to avoid compressing .pdf files
 # also, avoid the compression of the info files (see Bug#762078)
 override_dh_compress:
-	dh_compress -O--parallel --exclude=.pdf --exclude=octave.info
+	dh_compress -O--parallel --exclude=.pdf
 
 # override this call, so we do not pass the --parallel option to it; 
 # "make -j2 install" does not work as of now
