## octave 4.0.3

=== debian/changelog ===
octave (4.0.3-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/s/lintian-overrides: Drop unused override
  * d/u/metadata: Add citation
  * d/octave.lintian-overrides: Drop unused overrides
  * d/watch: Add .gz as a possible extension for the upstream tarball

  [ Sébastien Villemot ]
  * d/watch: bump to format version 4.
  * New patch octave_hdf5_id.patch to fix octave_hdf5_id type.
    It should be int64_t when building against hdf5 1.10.
    Thanks to Gilles Filippini (Closes: #847974)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 14 Jan 2017 10:45:31 +0100

octave (4.0.3-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/liboctave3v5.lintian-overrides: Update SOVERSIONs of shared libraries

  [ Mike Miller ]
  * Fix FTBFS with GCC 6.
    + d/p/gcc-6-abs-overload.patch: Work around abs overload changes.
    + d/p/gcc-6-include-math-stdlib.patch: Fix gnulib header file overrides.
    (Closes: #831120)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 18 Aug 2016 23:32:15 +0200

octave (4.0.3-1) unstable; urgency=medium

  * Imported Upstream version 4.0.3
  * d/copyright: Reflect upstream changes
  * d/p/install_libraries_publically: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 04 Jul 2016 00:40:13 -0300

octave (4.0.2-1) unstable; urgency=medium

  * Imported Upstream version 4.0.2
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Apr 2016 17:12:34 +0200

octave (4.0.1-1) unstable; urgency=medium

  * Imported Upstream version 4.0.1
  * d/p/drop_versioned_binaries.diff: add back hunk for src/main.in.cc.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Mar 2016 22:10:04 +0100

octave (4.0.1~rc4-1) experimental; urgency=low

  * Imported Upstream version 4.0.1~rc4
    + This version fixes the interaction with gnuplot v5 (Closes: #805295).
    + Also, it also fixes a HDF5 regression (Closes: #815597).
  * d/p/drop_versioned_binaries.diff: Refresh for new upstream version
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.7
  * Install the PDF files of the octave-doc package in /usr/share/doc/octave.
    This is now recommended by the Debian Policy, version 3.9.7 (section
    12.3).
  * d/rules: Avoid triggering the build of oct-gperf.h
  * d/octave.lintian-overrides: Add override for shlib-calls-exit
  * d/p/octave-pkgbuilddir.patch: New patch.
    This patch replaces the patch enable_dirs_in_pkg.  It introduces a
    better change in pkg/private/install.m that allows packages to be
    built in place and avoid unreproducible builds due to temporary build
    directories appearing in the .oct files.
  * d/octave-doc.install: Drop useless call to dh-exec

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 14 Mar 2016 16:01:37 +0100

octave (4.0.1~rc2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.0.1~rc2
  * d/octave.menu: Drop menu file per the tech-ctte decision on Bug#741573
  * d/control: Drop useless build-dependency on gperf
  * d/s/lintian-overrides:
    + Add override for source-contains-autogenerated-gperf-data
    + Add override for unknown variable in d/octave-common.install
    + Add override for source-contains-prebuilt-java-object
    + Add override for dh-exec-useless-usage in d/octave.dirs
  * Add Lintian overrides for empty directories
  * d/liboctave3v5.lintian-overrides: Remove obsolete Lintian override.
    Lintian identifies now the "v5" suffix related to the GCC-5 /
    libstdc++6 transition.
  * d/octave-info.lintian-overrides: Remove obsolete Lintian override.
    The info files are shipped again in compressed form since version
    4.0.0-rc3-1 of the package.
  * d/liboctave3v5.lintian-overrides: Add file
  * d/rules: Avoid useless call of ldconfig in the triggers script
  * d/octave-htmldoc.menu: Remove obsolete file

  [ Sébastien Villemot ]
  * Drop octave-dbg package, now rely on automatic debug packages.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Jan 2016 17:27:49 +0100

octave (4.0.1~rc1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 4.0.1~rc1
  * d/p/xbackslash-texinfo.patch: Drop patch (applied upstream)
  * d/p/dont-use-included-texinfo-texmfcnf.patch: Drop patch (applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Dec 2015 10:43:56 +0100

octave (4.0.0-5) unstable; urgency=medium

  * d/control: replace libhdf5-mpich2-dev by libhdf5-mpich-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 01 Oct 2015 10:05:15 +0200

octave (4.0.0-4) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Rename liboctave3 to liboctave3v5 for g++-5 transition. (Closes: #797992)
  * d/control: promote octave-info to Recommends of octave.
    It is needed by the GUI help browser. (Closes: #793524)

  [ Mike Miller ]
  * Downgrade default-jre-headless from Depends to Recommends.
    Thanks to Alois Schloegl for the suggestion (Closes: #742503)
  * Disable java on hppa, m68k, and sparc64 ports. Fixes FTBFS on those archs.
    (Closes: #792869)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Sep 2015 00:03:52 +0200
