=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: octave
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-  Rafael Laboissiere <rafael@laboissiere.net>
+  Rafael Laboissiere <rafael@debian.org>
 Build-Depends: automake,
-  debhelper (>= 9),
+  debhelper (>= 9.20160114~),
   default-jdk,
   desktop-file-utils,
   dh-autoreconf,
@@ -18,7 +17,6 @@
   gfortran,
   ghostscript,
   gnuplot-nox,
-  gperf,
   javahelper,
   less,
   libarpack2-dev (>= 2.1+parpack96.dfsg-2),
@@ -56,21 +54,21 @@
   xauth,
   xvfb,
   zip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.octave.org/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave.git
 
 Package: octave
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, texinfo, octave-common (= ${source:Version}),
-         liboctave3 (= ${binary:Version}),
-         default-jre-headless [!armhf !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !sparc]
+         liboctave3v5 (= ${binary:Version})
 Recommends: gnuplot-x11 | gnuplot-qt, libopenblas-base | libatlas3-base,
- pstoedit
-Suggests: octave-info,
- octave-doc,
- octave-htmldoc,
+ pstoedit,
+ default-jre-headless [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !mips !mipsel !sparc !sparc64],
+ octave-info
+Suggests: octave-doc,
+ octave-htmldoc
 Conflicts: octave-java
 Replaces: octave-java
 Breaks: dynare (<< 4.4.3-2),
@@ -79,24 +77,30 @@
   h5utils (<= 1.12.1-2.1+b2) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
   libsbml5-octave (<< 5.10.0+dfsg-1+b1) [amd64 armel armhf i386 s390x],
   octave-audio (<< 1.1.4-6),
-  octave-biosig (<< 1.3.0-2.0build2),
+  octave-biosig (<< 1.3.0-2+b2) [ppc64el],
+  octave-biosig (<< 1.3.0-2+b3) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
   octave-communications (<< 1.2.1-1),
   octave-control (<< 2.8.3-1),
-  octave-econometrics (<< 1:1.1.1-2build1),
-  octave-gdf (<< 0.1.2-2.0build2),
+  octave-econometrics (<< 1:1.1.1-2+b1) [arm64 ppc64el],
+  octave-econometrics (<< 1:1.1.1-2+b2) [amd64 armel armhf kfreebsd-amd64 mips mipsel powerpc s390x sparc],
+  octave-econometrics (<< 1:1.1.1-2+b3) [hurd-i386 i386 kfreebsd-i386],
+  octave-gdf (<< 0.1.2-2+b1) [arm64],
+  octave-gdf (<< 0.1.2-2+b2) [ppc64el],
+  octave-gdf (<< 0.1.2-2+b4) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
   octave-general (<< 2.0.0-1),
-  octave-geometry (<< 1.7.0-2build1),
+  octave-geometry (<< 1.7.0-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
   octave-gmt (<< 4.5.12-1+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
-  octave-gsl (<< 1.0.8-6build2),
+  octave-gsl (<< 1.0.8-6+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
   octave-image (<< 2.4.0-1),
-  octave-io (<< 2.2.4-1build2),
-  octave-lhapdf (<< 5.9.1-3build2),
+  octave-io (<< 2.2.4-1+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
+  octave-lhapdf (<< 5.9.1-3+b2) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
   octave-linear-algebra (<< 2.2.2-1),
   octave-ltfat (<< 2.1.0+dfsg-1),
-  octave-miscellaneous (<< 1.2.1-2build2),
+  octave-miscellaneous (<< 1.2.1-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
   octave-mpi (<= 1.2.0-1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el s390x sparc],
   octave-mpi (<= 1.2.0-1+b1) [hurd-i386 i386 kfreebsd-i386],
-  octave-msh (<< 1.0.10-1build1),
+  octave-msh (<< 1.0.10-1+b1) [amd64 armel armhf powerpc],
+  octave-msh (<< 1.0.10-1+b2) [i386],
   octave-nan (<< 2.8.1-1),
   octave-nlopt (<< 2.4.1+dfsg-2),
   octave-nurbs (<< 1.3.9-1),
@@ -109,39 +113,31 @@
   octave-parallel (<< 3.0.0-1),
   octave-pfstools (<< 1.8.5-2.1),
   octave-plplot (<= 5.10.0+dfsg-1),
-  octave-psychtoolbox-3 (<< 3.0.11.20140816.dfsg1-1ubuntu4),
-  octave-quaternion (<< 2.2.2-1build2),
+  octave-psychtoolbox-3 (<< 3.0.11.20140816.dfsg1-1+b2) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
+  octave-quaternion (<< 2.2.2-1+b1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el sparc],
+  octave-quaternion (<< 2.2.2-1+b2) [hurd-i386 i386 kfreebsd-i386 s390x],
   octave-secs2d (<< 0.0.8-6),
-  octave-signal (<< 1.3.2-1),
+  octave-signal (<< 1.3.0-1+b1) [amd64 arm64 armel armhf kfreebsd-amd64 mips mipsel powerpc ppc64el sparc s390x],
+  octave-signal (<< 1.3.0-1+b2) [hurd-i386 i386 kfreebsd-i386],
   octave-sockets (<< 1.2.0-1),
   octave-strings (<< 1.1.0-2+b1) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
   octave-struct (<< 1.0.11-1),
-  octave-sundials (<< 2.5.0-3ubuntu3),
+  octave-sundials (<< 2.5.0-3+b1) [arm64],
+  octave-sundials (<< 2.5.0-3+b2) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64el s390x sparc],
   octave-symbolic (<< 2.2.2-1),
   octave-tsa (<< 4.2.9-1),
-  octave-vlfeat (<< 0.9.17+dfsg0-6build2),
+  octave-vlfeat (<< 0.9.17+dfsg0-6+b1) [arm64 ppc64el],
+  octave-vlfeat (<< 0.9.17+dfsg0-6+b2) [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
   pfstools (<< 1.8.5-2.1),
-  sdpam (<< 7.3.9+dfsg-1build2),
+  sdpam (<< 7.3.9+dfsg-1+b1) [arm64 ppc64el],
+  sdpam (<< 7.3.9+dfsg-1+b2) [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x sparc],
+  sdpam (<< 7.3.9+dfsg-1+b3) [hurd-i386]
 Description: GNU Octave language for numerical computations
  Octave is a (mostly Matlab (R) compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
  Octave can be dynamically extended with user-supplied C++ files.
-
-Package: octave-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: octave (=${binary:Version}), ${misc:Depends}
-Description: Debug symbols for octave
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
- intended for numerical computations. It provides a convenient command-line
- interface for solving linear and nonlinear problems numerically.
- .
- Octave can be dynamically extended with user-supplied C++ files.
- .
- This package provides the debug symbols.
 
 Package: octave-common
 Depends: ${misc:Depends}
@@ -198,10 +194,12 @@
  on the C++ classes used by Octave, as well as the main octave documentation
  which is needed for the 'help -i foo' command within Octave.
 
-Package: liboctave3
+Package: liboctave3v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: liboctave3
+Replaces: liboctave3
 Multi-Arch: same
 Section: libs
 Description: Shared libraries of the GNU Octave language
@@ -214,9 +212,9 @@
 Package: liboctave-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- liboctave3 (= ${binary:Version}), octave (= ${binary:Version}),
+ liboctave3v5 (= ${binary:Version}), octave (= ${binary:Version}),
  libreadline-dev | libreadline6-dev | libreadline5-dev, libncurses5-dev,
- libhdf5-dev (>= 1.8.8) | libhdf5-openmpi-dev (>= 1.8.8) | libhdf5-mpich2-dev (>= 1.8.8),
+ libhdf5-dev (>= 1.8.8) | libhdf5-openmpi-dev (>= 1.8.8) | libhdf5-mpich-dev (>= 1.8.8),
  libgl1-mesa-dev | libgl-dev,
  libblas-dev (>=1.2-7) | libblas.so, liblapack-dev (>=3.2.1-7) | liblapack.so,
  libfftw3-dev, gfortran, gcc, g++
