=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # build deps because it is needed for octave-common, see
 # debian/patches/always-build-octave-jar.patch).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := hurd-i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel sparc
+NO_JDK_ARCHS := hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel sparc sparc64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -48,9 +48,11 @@
 clean:
 	dh clean --with autoreconf
 
-# override normal dh_auto_configure call to pass OpenMP flag to it (#631831)
 override_dh_auto_configure:
+	# override normal dh_auto_configure call to pass OpenMP flag to it (#631831)
 	dh_auto_configure -- --enable-openmp $(WITH_JAVA_FLAGS) $(JIT_FLAG) $(HDF5_FLAGS)
+	# Avoid triggering the build of oct-gperf.h
+	touch libinterp/parse-tree/oct-gperf.h
 
 # dh_auto_test tries to run "make test", so override it
 override_dh_auto_test:
@@ -80,9 +82,9 @@
 		sed -i "s/src=\"$$f\"/src=\"octave-$$f\"/g" debian/octave-info/usr/share/info/octave.info*; \
 	done
 
-# save debug information into the debug package
+# Handle migration to automatic debug packages
 override_dh_strip:
-	dh_strip -a --dbg-package=octave-dbg
+	dh_strip -a --dbgsym-migration='octave-dbg (<< 4.0.1~rc2-1~)'
 
 # Strip the executable bit from the .oct files
 # Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
@@ -91,6 +93,12 @@
 	dh_shlibdeps -O--parallel
 	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644
 
+# Avoid useless call of ldconfig in the triggers script of the octave
+# package
+override_dh_makeshlibs:
+	dh_makeshlibs --package=octave --noscripts
+	dh_makeshlibs --no-package=octave
+
 get-orig-source:
 	uscan --force-download --rename --destdir .
 .PHONY: get-orig-source
