=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://ftpmirror.gnu.org/octave/octave-([\d\.]+)\.tar\.(?:xz|bz2|gz)
